Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.grouping
Class AbstractDistinctValuesCollector<GC extends AbstractDistinctValuesCollector.GroupCount<?>>

    java.lang.Object
      org.apache.lucene.search.Collector
          org.apache.lucene.search.grouping.AbstractDistinctValuesCollector<GC>

Direct Known Subclasses:
  FunctionDistinctValuesCollector, TermDistinctValuesCollector

    public abstract class AbstractDistinctValuesCollector<GC extends AbstractDistinctValuesCollector.GroupCount<?>>

extends Collector

A second pass grouping collector that keeps track of distinct values for a specified field for the top N group.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary
`static class` | `AbstractDistinctValuesCollector.GroupCount<GROUP_VALUE_TYPE>` Returned by `getGroups()`, representing the value and set of distinct values for the group.

Constructor Summary
`AbstractDistinctValuesCollector()`

Method Summary
`boolean` | `acceptsDocsOutOfOrder()`
`abstract List<GC>` | `getGroups()` Returns all unique values for each top N group.
`void` | `setScorer(Scorer scorer)`

Methods inherited from class org.apache.lucene.search.Collector
`collect, setNextReader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDistinctValuesCollector

    public AbstractDistinctValuesCollector()

Method Detail

### getGroups

    public abstract List<GC> getGroups()

  Returns all unique values for each top N group.

  Returns:
    all unique values for each top N group

### acceptsDocsOutOfOrder

    public boolean acceptsDocsOutOfOrder()

  Specified by:
    `acceptsDocsOutOfOrder` in class `Collector`

### setScorer

    public void setScorer(Scorer scorer)
                   throws IOException

  Specified by:
    `setScorer` in class `Collector`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.